Subject: Re: I-D ACTION:draft-mirtorabi-ospf-multi-area-adj-00.txt

From: Vivek Dubey <[email-masked]>
Date: Wed, 4 Feb 2004 01:20:34 -0000

Hi,
Section 3:
1)ABRs will simply establish multiple adjacencies belonging to  
  different areas.

vivek> a) Routers must be OSPF ABR before attempting this adjacency.
          OR
       b) They can attempt this adjacency and become an ABR.       

Section 4:
2)Multi-area adjacencies are configured between two routers having a
  common interface. 

vivek> a) Why this statement?? Is multiple adjacency cannot be 
          configured between ABRs/Routers across multiple hops.

-Vivek

On Tue, 03 Feb 2004 Sina Mirtorabi wrote :
>All,
>
>This draft allows to define a link in more than one area. It decouples
>secondary adjacencies from primary adj and use the existing interface
>and neighbor FSM, therefore simplifying the implementation.
>
>Comments are welcome.
>
>Thanks
>Sina
>
>
>----
>
>
>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>
>
>         Title           : OSPF Multi-Area Adjacency
>         Author(s)       : S. Mirtorabi
>         Filename        : draft-mirtorabi-ospf-multi-area-adj-00.txt
>         Pages           : 4
>         Date            : 2004-1-28
>
>This memo documents an extension to OSPF to allow a single physical
>     link to be shared by multiple areas. This is necessary to allow the
>     link to be considered an intra-area link in multiple areas.
>     This would create an intra-area path to the corresponding areas
>     sharing the same link.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-mirtorabi-ospf-multi-area-adj-
>00.txt
>
>To remove yourself from the IETF Announcement list, send a message to
>ietf-announce-request with the word unsubscribe in the body of the
>message.
>
>Internet-Drafts are also available by anonymous FTP. Login with the
>username "anonymous" and a password of your e-mail address. After
>logging in, type "cd internet-drafts" and then
>         "get draft-mirtorabi-ospf-multi-area-adj-00.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE
>/internet-drafts/draft-mirtorabi-ospf-multi-area-adj-00.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail
>readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.

---

From: Acee Lindem <[email-masked]>
Date: Wed, 4 Feb 2004 09:22:58 -0500

More rich text...
----- Original Message -----
From: Vivek Dubey
To: [email-masked]
Sent: Tuesday, February 03, 2004 8:20 PM
Subject: Re: I-D ACTION:draft-mirtorabi-ospf-multi-area-adj-00.txt

>      b) They can attempt this adjacency and become an ABR.

I would say neither. I router is an ABR by virtue of attaching to
multiple areas (RFC 2328). The multi-area adjacency function is
only applicable to ABRs.

>           configured between ABRs/Routers across multiple hops.

No. This is simply a machism to allow a single physical link to be part
of the topology in multiple areas.

-Vivek